# sample hyprlock.conf
# for more configuration options, refer https://wiki.hyprland.org/Hypr-Ecosystem/hyprlock
#
# rendered text in all widgets supports pango markup (e.g. <b> or <i> tags)
# ref. https://wiki.hyprland.org/Hypr-Ecosystem/hyprlock/#general-remarks
#
# shortcuts to clear password buffer: ESC, Ctrl+U, Ctrl+Backspace
#
# you can get started by copying this config to ~/.config/hypr/hyprlock.conf
#

$font = Iosevka

general {
    hide_cursor = true
}

# uncomment to enable fingerprint authentication
# auth {
#     fingerprint {
#         enabled = true
#         ready_message = Scan fingerprint to unlock
#         present_message = Scanning...
#         retry_delay = 250 # in milliseconds
#     }
# }

animations {
    enabled = true
    bezier = linear, 1, 1, 0, 0
    animation = fadeIn, 1, 5, linear
    animation = fadeOut, 1, 5, linear
    animation = inputFieldDots, 1, 2, linear
}

background {
    monitor =
    path = screenshot
    # path = /home/greg/Pictures/Wallpapers/japan_tower_sakura.jpg
    blur_passes = 3
}

image {
  # TODO: store there images somewhere in the config dir
  path = /home/greg/Pictures/Things/lavey5.jpg
  position = 0, 40
  halign = center
  valign = center
  size = 100, 100
  rounding = -1
  border_color = rgba(E96375ff) rgba(EB75DDff) 45deg 
  shadow_passes = 1 
  shadow_size = 3
  shadow_color = rgb(aaaaaa) 
}

input-field {
    monitor =
    size = 15%, 5%
    outline_thickness = 3
    inner_color = rgba(0, 0, 0, 0.2) # no fill

    outer_color = rgba(E96375ff) rgba(EB75DDff) 45deg
    check_color = rgba(EB75DDff) rgba(E96375ff) 120deg
    fail_color = rgba(ff6633ee) rgba(ff0066ee) 40deg

    font_color = rgb(255,255,255)
    fade_on_empty = false
    rounding = 15

    font_family = $font
    placeholder_text =  パスワード 
    fail_text = $PAMFAIL

    # uncomment to use a letter instead of a dot to indicate the typed password
    # dots_text_format = *
    # dots_size = 0.4
    dots_spacing = 0.3

    # uncomment to use an input indicator that does not show the password length (similar to swaylock's input indicator)
    # hide_input = true

    position = 0, -100
    halign = center
    valign = center
}

# TIME
label {
    monitor =
    text = $TIME # ref. https://wiki.hyprland.org/Hypr-Ecosystem/hyprlock/#variable-substitution
    font_size = 90
    font_family = $font

    position = 0, -50
    halign = center
    valign = top
}

# DATE
label {
    monitor =
    text = cmd[update:60000] date +"%A, %d %B %Y" # update every 60 seconds
    font_size = 25
    font_family = $font

    position = 0, -200
    halign = center
    valign = top
}

